## GnomeVFS

GnomeVFS —

## Synopsis

                GsfInputGnomeVFS;
    GsfInput*   gsf_input_gnomevfs_new          (char const *uri,
                                                 GError **error);
    GsfInput*   gsf_input_gnomevfs_new_uri      (GnomeVFSURI *uri,
                                                 GError **error);
    gboolean    gsf_input_gnomevfs_needs_local_copy
                                                (GsfInputGnomeVFS *vfs_input);
                GsfOutputGnomeVFS;
    GsfOutput*  gsf_output_gnomevfs_new         (char const *filename,
                                                 GError **err);
    GsfOutput*  gsf_output_gnomevfs_new_uri     (GnomeVFSURI *uri,
                                                 GError **err);

## Description

## Details

### GsfInputGnomeVFS

    typedef struct _GsfInputGnomeVFS GsfInputGnomeVFS;

### gsf_input_gnomevfs_new ()

    GsfInput*   gsf_input_gnomevfs_new          (char const *uri,
                                                 GError **error);

`uri` : |
`error` : |
Returns : |

### gsf_input_gnomevfs_new_uri ()

    GsfInput*   gsf_input_gnomevfs_new_uri      (GnomeVFSURI *uri,
                                                 GError **error);

`uri` : |
`error` : |
Returns : |

### gsf_input_gnomevfs_needs_local_copy ()

    gboolean    gsf_input_gnomevfs_needs_local_copy
                                                (GsfInputGnomeVFS *vfs_input);

`vfs_input` : |
Returns : |

### GsfOutputGnomeVFS

    typedef struct _GsfOutputGnomeVFS GsfOutputGnomeVFS;

### gsf_output_gnomevfs_new ()

    GsfOutput*  gsf_output_gnomevfs_new         (char const *filename,
                                                 GError **err);

`filename` : |
`err` : |
Returns : |

### gsf_output_gnomevfs_new_uri ()

    GsfOutput*  gsf_output_gnomevfs_new_uri     (GnomeVFSURI *uri,
                                                 GError **err);

`uri` : |
`err` : |
Returns : |